Security
Configure the OIDC or SAML identity provider; a new OIDC issuer or client ID needs a new secret
PUT /v1/identity-provider · SDK putIdentityProvider · CLI deployments identity-provider set
PUT
Requires members:write.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
clientId*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 512clientSecret?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 4096displayName*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120issuer*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 2048jit*|protocol?"oidc"Value in
"oidc"IdentityProviderResponse
application/json- response
connectionId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedisplayName*stringissuer*stringjit*|organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$state*|updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeclientId*stringclientSecretSetAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeendpoints*protocol*"oidc"Value in
"oidc"redirectUri*stringsigningAlgorithms*array<>tokenEndpointAuthMethod*stringValue in
"client_secret_basic""client_secret_post"curl -X PUT "https://example.com/v1/identity-provider" \ -H "x-deployments-organization: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "clientId": "string", "displayName": "string", "issuer": "string", "jit": { "kind": "disabled" } }'{ "connectionId": "string", "createdAt": "2019-08-24T14:15:22Z", "displayName": "string", "issuer": "string", "jit": { "kind": "disabled" }, "organizationId": "string", "state": { "enforcement": "optional", "kind": "active" }, "updatedAt": "2019-08-24T14:15:22Z", "clientId": "string", "clientSecretSetAt": "2019-08-24T14:15:22Z", "endpoints": { "authorization": "string", "jwks": "string", "token": "string", "userinfo": "string" }, "protocol": "oidc", "redirectUri": "string", "signingAlgorithms": [ "RS256" ], "tokenEndpointAuthMethod": "client_secret_basic"}